--[[
* The MIT License
* Copyright (C) 2014 Bacioiu "Zapa" Ciprian (bacioiu.ciprian@gmail.com).  All rights reserved.
*
* Permission is hereby granted, free of charge, to any person obtaining
* a copy of this software and associated documentation files (the
* "Software"), to deal in the Software without restriction, including
* without limitation the rights to use, copy, modify, merge, publish,
* distribute, sublicense, and/or sell copies of the Software, and to
* permit persons to whom th be Software is furnished to do so, subject to
* the following conditions:
*
* The above copyright notice and this permission notice shall be
* included in all copies or substantial portions of the Software.
*
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
* EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
* MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
* IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
* CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
* TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
* SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
--]]

function unit:_setWinCondition(_condition)
	self._winBool = false
	self._condition = _condition
	self._conditionTable[1] = building:_returnBuildingTable()
	self._conditionTable[2] = self._unitTable
	--self._conditionTable[3] = 

	if _condition == 1 then
		self._buildingsLeft = 0
		self._unitsLeft = nil
		self._turns = nil
		self._buildingsOwned = nil
		self._buildingsOwnedEnemy = nil
	elseif _condition == 2 then
		self._buildingsLeft = nil
		self._unitsLeft = 0
		self._turns = nil
		self._buildingsOwned = nil
		self._buildingsOwnedEnemy = nil
	elseif _condition == 3 then
		self._buildingsLeft = nil
		self._unitsLeft = nil
		self._turns = 25
		self._buildingsOwned = nil
		self._buildingsOwnedEnemy = nil
	elseif _condition == 4 then
		self._buildingsLeft = nil
		self._unitsLeft = nil
		self._turns = nil
		self._buildingsOwned = 7
		self._buildingsOwnedEnemy = 6
	end

end

function unit:_checkWinCondition( )
	return self._condition
end